Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface FacetConstraint

All Known Implementing Classes:
  AbstractFacetConstraint, DefaultValuesConstraint, MaximumCardinalityConstraint, MinimumCardinalityConstraint, NumericMaximumConstraint, NumericMinimumConstraint, RoleConstraint, ValueTypeConstraint

    public interface FacetConstraint

Programmatic implementation of the constraint expressed by a specific facet. For example, an implementation of this interface would know about what it means to have "maximum cardinality" and would be able to check to see if a particular value was consistent with this constraint. The Facet itself is really just a placeholder and has no knowledge of the actual constraint that it represents. The logic is all in the implementations of this interface.

Author:
  Ray Fergerson

Method Summary
`boolean` | `areValidValues(Frame frame, Slot slot, Collection slotValues, Collection facetValues)`
`String` | `getInvalidValuesText(Frame frame, Slot slot, Collection slotValues, Collection facetValues)`
`String` | `getInvalidValueText(Frame frame, Slot slot, Object value, Collection facetValues)`
`boolean` | `isValidValue(Frame frame, Slot slot, Object item, Collection facetValues)`
`Collection` | `resolve(Collection existingValues, Collection newValues)`

Method Detail

### areValidValues

    boolean areValidValues(Frame frame,
                           Slot slot,
                           Collection slotValues,
                           Collection facetValues)

### getInvalidValuesText

    String getInvalidValuesText(Frame frame,
                                Slot slot,
                                Collection slotValues,
                                Collection facetValues)

### getInvalidValueText

    String getInvalidValueText(Frame frame,
                               Slot slot,
                               Object value,
                               Collection facetValues)

### isValidValue

    boolean isValidValue(Frame frame,
                         Slot slot,
                         Object item,
                         Collection facetValues)

### resolve

    Collection resolve(Collection existingValues,
                       Collection newValues)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.